
<div class="content" id="js-drop-zone" [ngClass]="{'with-diagram' : !this.hasErrors, 'with-error': this.hasErrors}" #container>

  <div class="message intro">
    <div class="note">
      Drop IFML diagram from your desktop or <a id="js-create-diagram" href>create a new diagram</a> to get started.
    </div>
  </div>

  <div class="message error">
    <div class="note">
      <p>Ooops, we could not display the IFML diagram.</p>

      <div class="details">
        <span>cause of the problem</span>
        <pre [textContent]="errorMessage"></pre>
      </div>
    </div>
  </div>

  <div class="canvas" id="js-canvas"></div>
</div>
<div class="properties-panel-parent" id="js-properties-panel"></div>

<ul class="buttons">
  <li>
    <button class="button is-link" (click)="saveIfml()" [disabled]="!this.diagramLoaded">Save</button>
  </li>
  <li>
    <button class="button is-link" href (click)="saveSVG()" [disabled]="!this.diagramLoaded">SVG</button>
  </li>
  <li>
    <input type="file" #file [multiple]="false" (change)="openFile.emit($event)" style="display:none" />
    <button class="button is-link" (click)="file.click()">Open</button>
  </li>
</ul>
